Subject: Re: [patch 09/11] b44: fix eeprom endianess issue

From: Jeff Garzik <[email-masked]>
Date: Tue, 26 Sep 2006 12:08:42 -0400

Michael Buesch wrote:
> No it isn't. There are lots of other parameters in the ssb SPROM.
> And most of them are _not_ in bigendian.
> I think we also read the PHYport or something in b44.
> See bcm43xx or the ssb module for the rest of the values.
> 
> Returning a SPROM bytearray as BABABABA is just plain wrong.
> It must always be ABABABAB, because we expect this. This patch
> encures ABABAB order on every platform. The interpret function
> must not know on which platform we are, as it's just interpreting
> the _byte_ array (byte array, without any endian semantics).
> 
> This _fixes_ a bug (In the correct way, so that future bugs will
> not appear)

It's amusing to call something incorrect, when my suggested solution 
will interpret the correct values from b44_get_invariants() simply by 
changing the b44_get_invariants() code from reading BABABABA to ABABABAB.

	Jeff